[ANN] nodejs-buildpack and OpenSSL vendoring


JT Archie <jarchie@...>
 

Since November 2015, the [nodejs-buildpack](https://github.com/cloudfoundry/nodejs-buildpack) has been packaging binaries of Node.js® with OpenSSL that are statically linked. With [community approval](https://github.com/cloudfoundry/nodejs-buildpack/issues/32), it was decided to support Node.js® 4.x and greater, which relied on the Node.js® release cycle to provide OpenSSL updates.

The buildpack's team [binary-builder](https://github.com/cloudfoundry/binary-builder) was updated to [enable the static openssl compilation](https://github.com/cloudfoundry/binary-builder/commit/834759affa4d7e42294a54b49bac6f1cf81b798a). All versions of Node.js® compiled since have been statically linked with OpenSSL, which include versions of Node.js® greater than and equal to 0.12.10 and 0.10.42.

Kind Regards,

JT and Kelly (Cloud Foundry buildpack team members)

Join cf-dev@lists.cloudfoundry.org to automatically receive all group messages.